Index: sasmodels/models/binary_hard_sphere.c
===================================================================
--- sasmodels/models/binary_hard_sphere.c	(revision 115d0f015d008c59c827203a96ee8894b7ec49b4)
+++ sasmodels/models/binary_hard_sphere.c	(revision e481a39647a6ec1b21e8f541d254d8c65855ae34)
@@ -13,5 +13,5 @@
     );
 
-int calculate_psfs(double qval,
+void calculate_psfs(double qval,
     double r2, double nf2,
     double aa, double phi,
@@ -34,5 +34,4 @@
     double phi1,phi2,phr,a3;
     double v1,v2,n1,n2,qr1,qr2,b1,b2,sc1,sc2;
-    int err;
     
     r2 = lg_radius;
@@ -52,5 +51,5 @@
     nf2 = phr*a3/(1.0-phr+phr*a3);
     // calculate the PSF's here
-    err = calculate_psfs(q,r2,nf2,aa,phi,&psf11,&psf22,&psf12);
+    calculate_psfs(q,r2,nf2,aa,phi,&psf11,&psf22,&psf12);
     
     // /* do form factor calculations  */
@@ -103,5 +102,5 @@
 }
 
-int calculate_psfs(double qval,
+void calculate_psfs(double qval,
     double r2, double nf2,
     double aa, double phi,
@@ -112,12 +111,12 @@
     
     //   calculate constant terms
-    double s1,s2,v,a3,v1,v2,g11,g12,g22,wmv,wmv3,wmv4;
+    double s2,v,a3,v1,v2,g11,g12,g22,wmv,wmv3,wmv4;
     double a1,a2i,a2,b1,b2,b12,gm1,gm12;
-    double err=0.0,yy,ay,ay2,ay3,t1,t2,t3,f11,y2,y3,tt1,tt2,tt3;
+    double yy,ay,ay2,ay3,t1,t2,t3,f11,y2,y3,tt1,tt2,tt3;
     double c11,c22,c12,f12,f22,ttt1,ttt2,ttt3,ttt4,yl,y13;
     double t21,t22,t23,t31,t32,t33,t41,t42,yl3,wma3,y1;
     
     s2 = 2.0*r2;
-    s1 = aa*s2;
+//    s1 = aa*s2;  why is this never used?  check original paper?
     v = phi;
     a3 = aa*aa*aa;
@@ -189,5 +188,5 @@
     *s12=-c12/((1.+c11)*(1.+c22)-(c12)*(c12));   
     
-    return(err);
+    return;
 }
 
Index: sasmodels/models/binary_hard_sphere.py
===================================================================
--- sasmodels/models/binary_hard_sphere.py	(revision 115d0f015d008c59c827203a96ee8894b7ec49b4)
+++ sasmodels/models/binary_hard_sphere.py	(revision e481a39647a6ec1b21e8f541d254d8c65855ae34)
@@ -1,18 +1,17 @@
 r"""
 
+Definition
+----------
 The binary hard sphere model provides the scattering intensity, for binary
 mixture of hard spheres including hard sphere interaction between those
 particles, using rhw Percus-Yevick closure. The calculation is an exact
 multi-component solution that properly accounts for the 3 partial structure
-factors.
-
-Definition
-----------
+factors as follows:
 
 .. math::
 
     \begin{eqnarray}
-    I(q) = (1-x)f_1^2(q) S_{11}(q) + 2[x(1-x)]^{1/2} f_1(q)f_2(q)S_{12}(q) + \\
-    x\,f_2^2(q)S_{22}(q) \\
+    I(q) = (1-x)f_1^2(q) S_{11}(q) + 2[x(1-x)]^{1/2} f_1(q)f_2(q)S_{12}(q) +
+    x\,f_2^2(q)S_{22}(q)
     \end{eqnarray}
 
@@ -26,6 +25,7 @@
 
     \begin{eqnarray}
-    x &=& \frac{(\phi_2 / \phi)\alpha^3}{(1-(\phi_2/\phi) + (\phi_2/\phi) \\
-    \alpha^3)} \phi &=& \phi_1 + \phi_2 = \text{total volume fraction} \\
+    x &=& \frac{(\phi_2 / \phi)\alpha^3}{(1-(\phi_2/\phi) + (\phi_2/\phi)
+    \alpha^3)} \\
+    \phi &=& \phi_1 + \phi_2 = \text{total volume fraction} \\
     \alpha &=& R_1/R_2 = \text{size ratio}
     \end{eqnarray}
@@ -69,11 +69,13 @@
 **Author:** N/A **on:**
 
-**Modified by:** Paul Butler **on:** March 18, 2016
+**Last Modified by:** Paul Butler **on:** March 20, 2016
 
-**Reviewed by:** Paul Butler **on:** March 18, 2016
+**Last Reviewed by:** Paul Butler **on:** March 20, 2016
 """
 
-import numpy as np
-from numpy import pi, inf
+from numpy import inf
+
+category = "shape:sphere"
+single = False  # double precision only!
 
 name = "binary_hard_sphere"
@@ -90,6 +92,4 @@
         sld_solvent: solvent scattering length density.
 """
-category = "shape:sphere"
-
 #             ["name", "units", default, [lower, upper], "type", "description"],
 parameters = [["radius_lg", "Ang", 100, [0, inf], "",
@@ -112,6 +112,5 @@
 
 # parameters for demo and documentation
-demo = dict(scale=1, background=0,
-            sld_lg=3.5, sld_sm=0.5, sld_solvent=6.36,
+demo = dict(sld_lg=3.5, sld_sm=0.5, sld_solvent=6.36,
             radius_lg=100, radius_sm=20,
             volfraction_lg=0.1, volfraction_sm=0.2)
@@ -125,4 +124,4 @@
 
 # NOTE: test results taken from values returned by SasView 3.1.2
-tests = [[{'scale':1.0}, 0.001, 25.8927262013]]
+tests = [[{}, 0.001, 25.8927262013]]
 
